Subject: [Sidrops] WG Adoption call for draft-madi-sidrops-rp-adoption

From: Keyur Patel <[email-masked]>
Date: Tue, 10 Oct 2017 17:05:04 +0000

Hi Folks,

The authors have requested SIDROPS working group adoption call of draft-madi-sidrops-rp-adoption, “Requirements for Resource Public Key Infrastructure (RPKI) Relying Parties”. Please send your comments to the list.

This adoption call will conclude on Oct 25 2017.

Regards,
Chris & Keyur

---

From: Randy Bush <[email-masked]>
Date: Wed, 11 Oct 2017 09:02:41 +0900

> The authors have requested SIDROPS working group adoption call of
> draft-madi-sidrops-rp-adoption, “Requirements for Resource Public Key
> Infrastructure (RPKI) Relying Parties”. Please send your comments to
> the list.

the actual name of the draft in my rsynced repo is

   draft-madi-sidrops-rp-00.txt

while i have no strong objection to discussing this draft in the wg, all
it does is two things

  o points to the documents with the protein

  o and any place it tries to have actual protein, it risks
    contradicting or confusing the real documents

the sidr* wgs chose not to publish the bgpsec overview draft.  this
seems analogous.

randy

---

From: Keyur Patel <[email-masked]>
Date: Wed, 11 Oct 2017 00:45:48 +0000

Apologies. The draft name is: draft-madi-sidrops-rp-00.txt (as you indicated).

Regards,
Keyur

    

    

    randy

---

From: Randy Bush <[email-masked]>
Date: Wed, 11 Oct 2017 09:56:58 +0900

> Apologies. The draft name is: draft-madi-sidrops-rp-00.txt (as you

then to further comment :)

>> Infrastructure (RPKI) Relying Parties”. Please send your comments to

the document is mis-titled.  it is not a requirements document at all;
note the lack of normative 2119 (or whatever it is numbered this week).

it's kind of an annotated table of content of the rpki/ov rfcs.

randy

---

From: Di Ma <[email-masked]>
Date: Wed, 11 Oct 2017 13:23:50 +0800

Randy,

Thanks for your review.

See my comment in lines. 

> 在 2017年10月11日，08:02，Randy Bush <[email-masked]> 写道：
> 

This document is intended to help concerned readers to find where a specific RP requirement is normatively defined.

And it also offers a framework through which the RP requirements with orthogonal functionalities are categorized.

> the sidr* wgs chose not to publish the bgpsec overview draft.  this

I think the bgpsec overview draft is helpful.

Although it is not published, people are still able to learn BGPSEC by getting started with RFC 8205.

Granted, the authors of draft-madi-sidrops-rp hope this document provides glues for real RP requirements that are scatted in other RFCs.

Di

---

From: Di Ma <[email-masked]>
Date: Wed, 11 Oct 2017 13:36:39 +0800

Randy,

> note the lack of normative 2119 (or whatever it is numbered this week).

Good catch.

But I don’t think the document is mis-titled. 

I thought we don’t need normative 2119 in this draft as an Informational requirements document. 

Noting Informational RFC 4892 (Requirements for a Mechanism Identifying a Name Server Instance) and Informational RFC 6168 (Requirements for Management of Name Servers for the DNS) both have normative 2119, I am fine with adding normative 2119 in next version. 

Di

---

From: George Michaelson <[email-masked]>
Date: Tue, 10 Oct 2017 23:27:55 -0700

We have a tradition in the IETF (as I understand it) of writing
clarifying documents to bring together the normative from the
discrete, different places it lies in, and therefore clarify what
must, must not, and may be done and the implications in each case.
It's been done in other contexts. Why not here?

So I have no problem with the WG taking on that kind of work. I don't
"do" routing and I've never written relying-party code, I don't think
my review is going to add much because I lack the critical eye in that
regard.

Life is confusing enough without having open questions about the
canonical reading of a bunch of disparate documents written by
different authors at different times.

-George

On Tue, Oct 10, 2017 at 10:05 AM, Keyur Patel <[email-masked]> wrote:
> Infrastructure (RPKI) Relying Parties”. Please send your comments to the
> list.
>
>
>
> _______________________________________________
> Sidrops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidrops
>

---

From: Tim Bruijnzeels <[email-masked]>
Date: Wed, 11 Oct 2017 15:02:34 +0200

Hi all,

As an RP implementer a document like this would have been useful to me years ago. Right now I have reached the stage where I don’t need this anymore. That said I can see a use for it for other people who are new to RPKI joining a team that works on RPKI, or starting a vanilla RPKI RP implementation. E.g. it will allow me to ask someone new in my team to read this first, and then we can have a whiteboard discussion on the details not covered here.. The main issue that I see with it is that it will get out of date, and it can be interpreted as a complete overview of what RPs need to do. I would be much more comfortable with it if it’s made abundantly clear that it’s intended as a not-authoritative starting point to help new people working RP software to learn about the standards. If that can be the direction of the document then I support, and am willing to review.

Tim

> On 11 Oct 2017, at 08:27, George Michaelson <[email-masked]> wrote:
>

---

From: "Carlos M. Martinez" <[email-masked]>
Date: Wed, 11 Oct 2017 10:15:27 -0300

I support adoption of this document. I believe more RP implementations 
are badly needed and a meta-document like this one is useful.

That said, I assume we as a WG will time publication appropriately so we 
can include the necessary references to validation-reconsidered.

thanks!

/Carlos

On 10 Oct 2017, at 14:05, Keyur Patel wrote:

> draft-madi-sidrops-rp-adoption, “Requirements for Resource Public 
> Key Infrastructure (RPKI) Relying Parties”. Please send your 
> comments to the list.
>

---

From: David Mandelberg <[email-masked]>
Date: Fri, 13 Oct 2017 15:41:13 -0400

As a former RP implementer, I think this document could be very useful 
to anybody who wants to implement RP software in the future. Like Tim B, 
I did eventually get to the point where I had most of the overview 
memorized and knew where to look for everything I needed, but it took a 
while. And as I understand it, there have been even more requirements 
added since then. I think this document will make it significantly 
easier for a software developer to start working on (new or existing) RP 
software.

-- 
Freelance cyber security consultant, software developer, and more
https://david.mandelberg.org/

---

From: "Linlin Zhou" <[email-masked]>
Date: Wed, 18 Oct 2017 14:27:31 +0800

This draft looks good to me. I think this work is going to help RP developer to know the requirements better. If this is part of WG direction, will support to be adopted as WG document.
 
Regards,

Linlin Zhou
 
From: Keyur Patel
Date: 2017-10-11 01:05
To: [email-masked]
Subject: [Sidrops] WG Adoption call for draft-madi-sidrops-rp-adoption
Hi Folks,

 
Regards,
Chris & Keyur

---

From: "Liushucheng (Will Liu)" <[email-masked]>
Date: Mon, 23 Oct 2017 09:50:13 +0000

As this draft is useful in terms of providing a single reference point for requirements for RP software, and also offers a framework through which those reference points are well organized. RP software implementers and RP operators will benefit from this document. I support adoption of this document.

Regards,
Will LIU

From: Sidrops [mailto:[email-masked]] On Behalf Of Keyur Patel
Sent: Wednesday, October 11, 2017 1:05 AM
To: [email-masked]
Subject: [Sidrops] WG Adoption call for draft-madi-sidrops-rp-adoption

Hi Folks,

Regards,
Chris & Keyur